import { MediaStreamWithMixiSizingInfo } from './MultiStreamsMixer';
export declare function getUserMedia(constraints: MediaStreamConstraints, isDisplay?: boolean): Promise<MediaStream>;
export declare function mixStreams(inputMediaStreams: MediaStreamWithMixiSizingInfo[], constraints?: MediaStreamConstraints, frameRate?: number): Promise<MediaStream | undefined>;
export declare function testStreamActive(stream: MediaStream): boolean;
export declare function listenStreamEnded(stream: MediaStream, listener: () => void): void;
